# -*- coding: utf-8 -*-
## cody@code-sandbox.net
import os, xbmcaddon, xbmcgui

from resources.licenses.user_eula import eula
#from resources.licenses.creative_commons import NonCommercialIPL
#from resources.licenses.gnu_gpl import GplV3
#from resources.licenses.apache import V2

ORG_NAME = "JesusBox"

addon = xbmcaddon.Addon(id="script.license.jesusbox")
icon = addon.getAddonInfo("icon")

if __name__ == "__main__":
    if not addon.getSetting("accepted_eula") == "True":
        yes_pressed = xbmcgui.Dialog().yesno(
            "Accept %s EULA" % (ORG_NAME), 
            eula, 
            yeslabel="Accept", 
            nolabel="Decline")

        if yes_pressed:
            ## DO SOMETHING WHEN LICENSE IS ACCEPTED
            addon.setSetting("accepted_eula", "True")
        else:
            ## DO SOMETHING WHEN LICENSE IS DENIED
            os._exit(1)
